package com.iamberry.wechat.service.mapper;

import java.util.List;

import com.iamberry.wechat.core.entity.wx.ImageTextMore;

public interface ImageTextMoreMapper {
	
	/**
	 * 添加多图文素材
	 */
	public int addImageTextMore(ImageTextMore imageTextMore);
	
	/**
	 * 删除多图文素材
	 */
	public int delImageTextMore(Long id);
	
	/**
	 * 根据多图文的主图文ID，删除多图文
	 */
	public int delImageTextMoreByImageNo(Long id);
	
	/**
	 * 修改多图文素材
	 */
	public int updateImageTextMore(ImageTextMore imageTextMore);
	
	/**
	 *根据imageTextNo查询
	 */
	public List<ImageTextMore> findImageTextmore(Long imageTextNo);
	
	public ImageTextMore getImageTextmore(Long imageTextMoreNo);
	
	
	/**
	 * 根据主图文ID，查询附图文数量
	 */
	public Integer selectMoreImageTextCountByMainId(Integer mainImageTextId);
}
